C# NX二次开发:旋转UFUN函数使用详解

大家好,今天讲关于旋转UFUN函数使用。

UF_MODL_create_revolved (view source)

|-----------------|-------------------|-----------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| uf_list_p_t | obj_id_list | Input | List of objects or one section builder object tag but not both, to be revolved |
| char * | limit [ 2 ] | Input | Limits of revolution. The declaration should be limit[2], where limit[0] = start angle and limit[1] = end angle. Angles are in degrees. |
| double | point [ 3 ] | Input | Point |
| double | direction [ 3 ] | Input | Revolution axis. |
| UF_FEATURE_SIGN | sign | Input | The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid |
| uf_list_p_t * | feature_list | Output to UF_*free* | List of feature identifiers created. This list must be freed by calling UF_MODL_delete_list. |

这个是旧版的旋转函数,里面虽然有可以使用布尔减,但是没有传入目标体的Tag值。所以他是默认减去一个体,这样会造成我们使用灵活性方面的困难,而下面这个新版的函数就没有这方面的问题了。

UF_MODL_create_revolved1 (view source)

|-----------------|-------------------|-----------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| uf_list_p_t | obj_id_list | Input | List of objects or one section builder object tag but not both, to be revolved |
| char * | limit [ 2 ] | Input | Limits of revolution. The declaration should be limit[2], where limit[0] = start angle and limit[1] = end angle. Angles are in degrees. |
| double | point [ 3 ] | Input | Point |
| double | direction [ 3 ] | Input | Revolution axis. |
| UF_FEATURE_SIGN | sign | Input | The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid |
| tag_t | target_body | Input | Boolean target |
| uf_list_p_t * | feature_list | Output to UF_*free* | List of feature identifiers created. This list must be freed by calling UF_MODL_delete_list. |

倒数第二个参数就为目标体的tag值。

今天要讲的就是这么多,我们下篇文章再见。

散会

相关推荐
敖云岚31 分钟前
【云原生技术】容器技术的发展史
开发语言·云原生·perl
忧郁的蛋~1 小时前
JavaScript性能优化的12种方式
开发语言·javascript·性能优化
人工智能研究所1 小时前
使用OpenCV与Python编写自己的俄罗斯方块小游戏
开发语言·python·opencv
DDD小小小宇宙1 小时前
python列表基础知识
开发语言·windows·python
海盗强1 小时前
prototype和proto的区别
开发语言·javascript·原型模式
哥谭居民00011 小时前
mybatis注册一个自定义拦截器,拦截器用于自动填充字段
java·开发语言·jvm·mybatis
钟离墨笺1 小时前
【c++】【智能指针】什么情况下不适合智能指针
开发语言·c++
moz与京2 小时前
【记】如何理解kotlin中的委托属性?
android·开发语言·kotlin
左少华2 小时前
Kotlin-inline函数特效
android·开发语言·kotlin
懒大王爱吃狼2 小时前
Python + Qt Designer构建多界面GUI应用程序:Python如何调用多个界面文件
开发语言·数据库·python·qt·mysql·python基础·命令模式